Skip to main content
GET
/
subscriptions
/
{id}
/
entitlements
Get subscription entitlements
curl --request GET \
  --url https://us.api.flexprice.io/v1/subscriptions/{id}/entitlements \
  --header 'x-api-key: <api-key>'
import requests

url = "https://us.api.flexprice.io/v1/subscriptions/{id}/entitlements"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://us.api.flexprice.io/v1/subscriptions/{id}/entitlements', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "features": [
    {
      "entitlement": {
        "config_values": [
          {}
        ],
        "is_enabled": true,
        "is_soft_limit": true,
        "static_values": [
          "<string>"
        ],
        "usage_limit": 123
      },
      "feature": {
        "alert_settings": {
          "alert_enabled": true,
          "critical": {
            "threshold": 123
          },
          "info": {
            "threshold": 123
          },
          "warning": {
            "threshold": 123
          }
        },
        "created_at": "2023-11-07T05:31:56Z",
        "created_by": "<string>",
        "description": "<string>",
        "environment_id": "<string>",
        "group": {
          "created_at": "2023-11-07T05:31:56Z",
          "entity_ids": [
            "<string>"
          ],
          "entity_type": "<string>",
          "id": "<string>",
          "lookup_key": "<string>",
          "metadata": {},
          "name": "<string>",
          "status": "<string>",
          "updated_at": "2023-11-07T05:31:56Z"
        },
        "group_id": "<string>",
        "id": "<string>",
        "lookup_key": "<string>",
        "metadata": {},
        "meter": {
          "aggregation": {
            "expression": "<string>",
            "field": "<string>",
            "group_by": "<string>",
            "multiplier": "<string>"
          },
          "created_at": "2024-03-20T15:04:05Z",
          "event_name": "api_request",
          "filters": [
            {
              "key": "<string>",
              "values": [
                "<string>"
              ]
            }
          ],
          "id": "550e8400-e29b-41d4-a716-446655440000",
          "name": "API Usage Meter",
          "status": "published",
          "tenant_id": "tenant123",
          "updated_at": "2024-03-20T15:04:05Z"
        },
        "meter_id": "<string>",
        "name": "<string>",
        "reporting_unit": {
          "conversion_rate": 123,
          "unit_plural": "<string>",
          "unit_singular": "<string>"
        },
        "tenant_id": "<string>",
        "unit_plural": "<string>",
        "unit_singular": "<string>",
        "updated_at": "2023-11-07T05:31:56Z",
        "updated_by": "<string>"
      },
      "sources": [
        {
          "config_value": {},
          "entitlement_id": "<string>",
          "entity_id": "<string>",
          "entity_name": "<string>",
          "is_enabled": true,
          "quantity": 123,
          "static_value": "<string>",
          "subscription_id": "<string>",
          "usage_limit": 123
        }
      ]
    }
  ],
  "plan_id": "<string>",
  "subscription_id": "<string>"
}
{
  "http_status_code": 123,
  "message": "<string>"
}
{
  "http_status_code": 123,
  "message": "<string>"
}
{
  "http_status_code": 123,
  "message": "<string>"
}

Authorizations

x-api-key
string
header
required

Enter your API key in the format x-api-key <api-key>*

Path Parameters

id
string
required

Subscription ID

Query Parameters

feature_ids
string[]

Feature IDs to filter by

Response

OK

features
object[]
plan_id
string
subscription_id
string